#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStoreCategoryType {
    Category = 0,
    SupportedPlayers = 1,
    Feature = 2,
    ControllerSupport = 3,
    CloudGaming = 4,
    MAX = 5,
}

impl EStoreCategoryType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Category as i32 => Some(Self::Category),
            x if x == Self::SupportedPlayers as i32 => Some(Self::SupportedPlayers),
            x if x == Self::Feature as i32 => Some(Self::Feature),
            x if x == Self::ControllerSupport as i32 => Some(Self::ControllerSupport),
            x if x == Self::CloudGaming as i32 => Some(Self::CloudGaming),
            x if x == Self::MAX as i32 => Some(Self::MAX),
            _ => None,
        }
    }
}
